// Created by Michael Thornbury for P436

/* sets up a port for use */

#include "opensock.h"

sas* opensock(int port)
{
  struct sockaddr_in socket_in;
  sas* toReturn;

  /* allocate so it can be returned */
  toReturn = malloc(sizeof(sas));

  memset(&socket_in, 0, sizeof(socket_in));

  socket_in.sin_family = AF_INET;
  socket_in.sin_addr.s_addr = INADDR_ANY;
  socket_in.sin_port = htons(port);

  toReturn->sock = socket(AF_INET, SOCK_STREAM, 0);
  /* copy socket_in into the sas struct */
  memcpy(&(toReturn->sin), &socket_in, sizeof(socket_in));
  return toReturn;

}

